import { AndroidAbstractRecognizerManager } from "../../abstract-manager.android";
var ActivityTransitionReceiver = es.uji.geotec.contextapis.activityrecognition.ActivityTransitionReceiver;
var ActivityRecognition = com.google.android.gms.location.ActivityRecognition;
var ActivityTransitionRequest = com.google.android.gms.location.ActivityTransitionRequest;
var ArrayList = java.util.ArrayList;
var ActivityTransition = com.google.android.gms.location.ActivityTransition;
var DetectedActivity = com.google.android.gms.location.DetectedActivity;
export class AndroidLowResRecognizerManager extends AndroidAbstractRecognizerManager {
    constructor() {
        super(ActivityTransitionReceiver.class);
    }
    handleStart(context, pendingIntent, options) {
        const request = this.buildTransitionRequest();
        return ActivityRecognition.getClient(context).requestActivityTransitionUpdates(request, pendingIntent);
    }
    handleStop(context, pendingIntent) {
        return ActivityRecognition.getClient(context).removeActivityTransitionUpdates(pendingIntent);
    }
    buildTransitionRequest() {
        const transitions = new ArrayList();
        transitions.addAll(this.getAllTransitionsFor(DetectedActivity.STILL));
        transitions.addAll(this.getAllTransitionsFor(DetectedActivity.WALKING));
        transitions.addAll(this.getAllTransitionsFor(DetectedActivity.RUNNING));
        transitions.addAll(this.getAllTransitionsFor(DetectedActivity.ON_BICYCLE));
        transitions.addAll(this.getAllTransitionsFor(DetectedActivity.IN_VEHICLE));
        return new ActivityTransitionRequest(transitions);
    }
    getAllTransitionsFor(activityType) {
        const transitions = new ArrayList(2);
        const options = [
            ActivityTransition.ACTIVITY_TRANSITION_ENTER,
            ActivityTransition.ACTIVITY_TRANSITION_EXIT,
        ];
        options.forEach((option) => {
            transitions.add(new ActivityTransition.Builder()
                .setActivityType(activityType)
                .setActivityTransition(option)
                .build());
        });
        return transitions;
    }
}
//# sourceMappingURL=manager.android.js.map