import { GeolocationAdapter } from "./adapter";
import { Geolocation, GeolocationLike as GL } from "./geolocation";
import { Observable } from "rxjs";
export { Geolocation };
export declare type GeolocationLike = GL;
export declare class GeolocationProvider {
    private adapter;
    constructor(adapter: GeolocationAdapter);
    isReady(): Promise<boolean>;
    prepare(watchAlways?: boolean, openSettingsIfDenied?: boolean): Promise<void>;
    acquireLocation(options?: AcquireOptions): Promise<Geolocation>;
    locationStream(options?: StreamOptions): Observable<Geolocation>;
}
export interface AcquireOptions {
    highAccuracy?: boolean;
    timeout?: number;
    allowBackground?: boolean;
}
export interface StreamOptions extends AcquireOptions {
    distanceFilter?: number;
    stdInterval?: number;
    minInterval?: number;
    maxAge?: number;
    saveBattery?: boolean;
}
export declare function getGeolocationProvider(): GeolocationProvider;
